### Method

# GLib Queue free_full

since: 2.32

#### Declaration

    void
    g_queue_free_full (
      GQueue* queue,
      GDestroyNotify free_func
    )

#### Description

Convenience method, which frees all the memory used by a `GQueue`, and calls the specified destroy function on every element’s data.

`free_func` should not modify the queue (eg, by removing the freed element from it).

Available since: 2.32

#### Parameters

`free_func`

  Type: `GDestroyNotify`

  The function to be called to free each element’s data.